"""
URL configuration for icis_backend project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/6.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from geography.views import home_page, states_page, localities_page, areas_page, locations_page
from establishments.views import establishments_page

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include('geography.urls')),
    path('api/', include('establishments.urls')),
    path('', home_page, name='home'),
    path('states/', states_page, name='states_page'),
    path('localities/', localities_page, name='localities_page'),
    path('areas/', areas_page, name='areas_page'),
    path('locations/', locations_page, name='locations_page'),
path('establishments/', establishments_page, name='establishments_page'),
]

